io.undertow.security.api

## Interface NotificationReceiver

    public interface NotificationReceiver

The interface to be interested by classes interested in processing security related notifications.

Author:
  Darran Lofthouse

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleNotification(SecurityNotification notification)` Handle a security related notification.

### Method Detail

#### handleNotification

    void handleNotification(SecurityNotification notification)

Handle a security related notification. The `SecurityNotification` that is sent to be handled is a security event that has occurred, this is not an opportunity for that event to be validated - any Exception thrown by the handler will be logged but will not affect the result of the security event. The notifications are sent on the same thread that is currently processing the request that triggered the notification, if the handling of the notification is likely to be blocking then it should be dispatched to it's own worker thread. The one exception to this may be where the notification must be sure to have been handled before the response continues.

Parameters:
  `notification` -